#!/bin/bash

#See if Tomcat's home directory, $CATALINA_HOME, is defined and if it exists
if [ -z ${CATALINA_HOME+x} ] 
then
   echo '$CATALINA_HOME is not set - defaulting to /usr/share/apache-tomcat-7.0.57'; 
   CATALINA_HOME="/usr/share/apache-tomcat-7.0.57";
else 
   echo "using '$CATALINA_HOME' environment variable value $CATALINA_HOME"; 
fi

if [ -d $CATALINA_HOME ]
then
   echo '$CATALINA_HOME found'
else 
   echo "'$CATALINA_HOME' not found at " + $CATALINA_HOME
fi

cd $CATALINA_HOME
if [ ! -d $CATALINA_HOME/backup ]
then 
   echo "creating '$CATALINA_HOME/backup'" 
   mkdir -p $CATALINA_HOME/backup
else 
   echo "'CATALINA_HOME/backup' found"
fi

if [ ! -d $CATALINA_HOME/deploy ]
then 
   echo "creating '$CATALINA_HOME/deploy'" 
   mkdir -p $CATALINA_HOME/deploy
else 
   echo "'CATALINA_HOME/deploy' found"
fi

echo "stopping tomcat..."
sudo  /etc/init.d/tomcat7 stop
echo "The tomcat server is stopped."

echo "saving the RAMS-[0-9].[0-9].[0-9].xml and RAMS-[0-9].[0-9].[0-9].war files"
cp $CATALINA_HOME/conf/Catalina/localhost/RAMS-*.xml $CATALINA_HOME/backup/.
cp $CATALINA_HOME/webapps/RAMS-*.war $CATALINA_HOME/backup/.
echo "removing the RAMS-[0-9].[0-9].[0-9].xml and RAMS-[0-9].[0-9].[0-9].war files and the exploded war"

rm $CATALINA_HOME/conf/Catalina/localhost/RAMS-*.xml
rm $CATALINA_HOME/webapps/RAMS-*.war
rm -rf $CATALINA_HOME/webapps/RAMS-*
echo "done backing up and removing the application"
echo "Please put the new RAMS-[0-9].[0-9].[0-9].xml and RAMS-[0-9].[0-9].[0-9].war files in the '$CATALINA_HOME/deploy directory and then run '$CATALINA_HOME/deploy.sh'"
