#!/bin/bash

#See if Tomcat's home directory, $CATALINA_HOME, is defined and if it exists
if [ -z ${CATALINA_HOME+x} ] 
then
   echo '$CATALINA_HOME is not set - defaulting to /usr/share/apache-tomcat-7.0.57'; 
   CATALINA_HOME="/usr/share/apache-tomcat-7.0.57";
else 
   echo "using '$CATALINA_HOME' environment variable value $CATALINA_HOME"; 
fi

if [ -d $CATALINA_HOME ]
then
   echo '$CATALINA_HOME found'
else 
   echo "'$CATALINA_HOME' not found at " + $CATALINA_HOME
fi

if [ ! -d $CATALINA_HOME/backup ]
then 
   echo "creating '$CATALINA_HOME/backup'" 
   mkdir -p $CATALINA_HOME/backup
else 
   echo "'CATALINA_HOME/backup' found"
fi

if [ ! -d $CATALINA_HOME/deploy ]
then 
   echo "creating '$CATALINA_HOME/deploy'" 
   mkdir -p $CATALINA_HOME/deploy
else 
   echo "'CATALINA_HOME/deploy' found"
fi
((ERR=0))
if [ -f $CATALINA_HOME/deploy/RAMS-*.xml ]
then 
   echo "xml file found in '$CATALINA_HOME/deploy'" 
else 
   echo "no xml file found in '$CATALINA_HOME/deploy'"
   ((ERR++))
fi

if [ -f $CATALINA_HOME/deploy/RAMS-*.war ]
then 
   echo "war file found in '$CATALINA_HOME/deploy'" 
else 
   echo "no war file found in '$CATALINA_HOME/deploy'"
   ((ERR++))
fi

if [ $ERR = 0 ]
then
   echo "stopping tomcat just in case someone started it. This step may fail."
   sudo  /etc/init.d/tomcat7 stop
   echo "The tomcat server is stopped."

   echo "deploying the RAMS-[0-9].[0-9].[0-9].xml and RAMS-[0-9].[0-9].[0-9].war files"
   cp $CATALINA_HOME/deploy/RAMS-2.0.0.xml $CATALINA_HOME/conf/Catalina/localhost
   cp $CATALINA_HOME/deploy/RAMS-2.0.0.war $CATALINA_HOME/webapps  
   echo "done deploying application"
else
   echo "erros found - nothing deployed"
fi   

