use RAMS
go

/****** FUNCTIONS... 
Object:  UserDefinedFunction [dbo].[f_rams_study_get_new_id]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE function [dbo].[f_rams_study_get_new_id]
(@Site_code varchar(4),@RAND float, @Study_type char(1)) returns  varchar(15) 
AS
/******************************************************************************
**		Type: sproc
**		File: 
**		Name: N/A
**		Desc: Sitecode (4 digits) + random 6 digits + year (YYYY) + Human or Animal code ( H or A )
**		Purpose: 
**	    Usage: 
**	    exec : 
**
*******************************************************************************/
BEGIN
    DECLARE @IDOut varchar(15)
    
    return @site_code + convert(char(6),left(1000000*@RAND,6))+convert(char(4),year(getdate()))+upper(@study_type)
  --  if exists (select assignedID from Studies where AssignedID = @idout)
  --    begin 
  --      SELECT @idout = @site_code + convert(char(6),left(1000000*RAND(),6))+convert(char(4),year(getdate()))+upper(@study_type)
   --   end

END

GO
/****** Object:  UserDefinedFunction [dbo].[GETSTUDYID]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


CREATE function [dbo].[GETSTUDYID]
(@siteCode varchar(5), @randFloat float, @studyType char(1)) returns varchar(15)
AS
/******************************************************************************
**		Type: sproc
**		File: GETSTUDYID
**		Name: RAMS Study Get New ID Function
**		Desc: Site Code (0-5 characters) + Random 5 Digits + Year (YYYY) + Human or Animal code ( H or A )
**		Purpose: Generate 15 char study ID by concatenating the values listed above
**	    Usage: Used for the upload of new studies through the OT1 Data Bridge
**	    Exec :
**		Last Modified: Monday, January 25, 2016 - 
**      Modified By:  S Thornton
**
*******************************************************************************/
BEGIN
	DECLARE @randInt int
	DECLARE @finalRandInt varchar(5)
	DECLARE @NewSiteCode varchar(5)
	DECLARE @yearCreated varchar(4)
	DECLARE @StudyIDOut varchar(15) 
	DECLARE @siteCodePaddding varchar(5)

    SET @yearCreated = CONVERT(varchar(4), YEAR(GETDATE())) 
	SET @studyType = UPPER(@studyType)
	SET @siteCode = UPPER(@siteCode)
	SET @randInt = CAST((100000*@randFloat) AS int)

	-- SQL Server treats the value it receives from the datacall tables as fixed length 
	-- even when fewer than 5 digits are used.  These two functions are necessary to 
	-- ensure that the resulting string is exactly five digits with no whitespace.
	SET @siteCodePaddding = substring('00000', 1, 5-LEN(@siteCode))
	SET @NewSiteCode = substring(@siteCode,1,LEN(@siteCode))
	
	--pad front with zeros if necessary (assuming received at least 3 digits)
	IF (LEN(@randInt) < 5)
		SET @finalRandInt = RIGHT(('00'+CONVERT(varchar(5), @randInt)),5) 
	ELSE 
		SET @finalRandInt = CONVERT(varchar(5), @randInt)
	
	SET @StudyIDOut = @NewSiteCode + @siteCodePaddding + @finalRandInt + @yearCreated + @studyType
	RETURN @StudyIDOut 

END


GO
