use RAMS
GO

/****** Object:  Table [dbo].[Answers]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Answers](
	[AnswersID] [int] IDENTITY(1,1) NOT NULL,
	[QuestionsID] [int] NOT NULL,
	[Value] [varchar](1000) NOT NULL,
	[SequencePosition] [int] NOT NULL,
 CONSTRAINT [Answers_PK] PRIMARY KEY CLUSTERED 
(
	[AnswersID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Comments]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Comments](
	[CommentsID] [int] IDENTITY(1,1) NOT NULL,
	[StudyStatusID] [int] NOT NULL,
	[FormsID] [int] NULL,
	[QuestionsID] [int] NULL,
	[AnswersID] [int] NULL,
	[HyperText] [ntext] NOT NULL,
	[Published] [bit] NOT NULL,
	[RedFlagged] [bit] NOT NULL,
	[UsersID] [int] NOT NULL,
	[CreatedAt] [datetime] NOT NULL,
 CONSTRAINT [PK_Comments] PRIMARY KEY CLUSTERED 
(
	[CommentsID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Contained_Forms]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Contained_Forms](
	[ContainedFormsID] [int] IDENTITY(1,1) NOT NULL,
	[ContainerID] [int] NOT NULL,
	[ContentID] [int] NOT NULL,
	[FormSequencePosition] [int] NOT NULL,
	[RequiredPredecessorAnswersID] [int] NULL,
	[RequiredPredecessorQuestionsID] [int] NULL,
 CONSTRAINT [Master_Forms_PK] PRIMARY KEY CLUSTERED 
(
	[ContainedFormsID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Data_call_CSV]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Data_call_CSV](
	[A-1] [nvarchar](255) NULL,
	[A-2] [nvarchar](255) NULL,
	[A-2-1] [nvarchar](255) NULL,
	[A-3] [nvarchar](255) NULL,
	[A-4] [nvarchar](255) NULL,
	[A-4-1] [nvarchar](255) NULL,
	[A-5] [nvarchar](255) NULL,
	[A-6] [nvarchar](255) NULL,
	[A-7] [nvarchar](255) NULL,
	[A-8] [datetime] NULL,
	[B-1] [nvarchar](255) NULL,
	[B-2] [nvarchar](255) NULL,
	[B-3] [nvarchar](255) NULL,
	[B-4] [nvarchar](255) NULL,
	[B-5] [nvarchar](255) NULL,
	[B-6-1] [nvarchar](255) NULL,
	[B-6-2] [nvarchar](255) NULL,
	[B-6-3] [nvarchar](255) NULL,
	[B-6-4] [nvarchar](255) NULL,
	[B-6-5] [nvarchar](255) NULL,
	[B-6-6] [nvarchar](255) NULL,
	[B-6-7] [nvarchar](255) NULL,
	[B-6-8] [nvarchar](255) NULL,
	[B-6-9] [nvarchar](255) NULL,
	[B-6-10] [nvarchar](255) NULL,
	[B-6-11] [nvarchar](255) NULL,
	[B-6-12] [nvarchar](255) NULL,
	[B-7] [nvarchar](255) NULL,
	[B-8] [nvarchar](255) NULL,
	[B-9] [nvarchar](255) NULL,
	[B-10] [nvarchar](255) NULL,
	[B-11] [nvarchar](255) NULL,
	[B-12] [nvarchar](255) NULL,
	[B-13] [nvarchar](255) NULL,
	[B-14] [nvarchar](255) NULL,
	[B-15] [nvarchar](255) NULL,
	[B-16] [nvarchar](255) NULL,
	[B-17] [nvarchar](255) NULL,
	[B-18] [nvarchar](255) NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Data_call_CSV_arch]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Data_call_CSV_arch](
	[A-1] [nvarchar](255) NULL,
	[A-2] [nvarchar](255) NULL,
	[A-2-1] [nvarchar](255) NULL,
	[A-3] [nvarchar](255) NULL,
	[A-4] [nvarchar](255) NULL,
	[A-4-1] [nvarchar](255) NULL,
	[A-5] [nvarchar](255) NULL,
	[A-6] [nvarchar](255) NULL,
	[A-7] [nvarchar](255) NULL,
	[A-8] [datetime] NULL,
	[B-1] [nvarchar](255) NULL,
	[B-2] [nvarchar](255) NULL,
	[B-3] [nvarchar](255) NULL,
	[B-4] [nvarchar](255) NULL,
	[B-5] [nvarchar](255) NULL,
	[B-6-1] [nvarchar](255) NULL,
	[B-6-2] [nvarchar](255) NULL,
	[B-6-3] [nvarchar](255) NULL,
	[B-6-4] [nvarchar](255) NULL,
	[B-6-5] [nvarchar](255) NULL,
	[B-6-6] [nvarchar](255) NULL,
	[B-6-7] [nvarchar](255) NULL,
	[B-6-8] [nvarchar](255) NULL,
	[B-6-9] [nvarchar](255) NULL,
	[B-6-10] [nvarchar](255) NULL,
	[B-6-11] [nvarchar](255) NULL,
	[B-6-12] [nvarchar](255) NULL,
	[B-7] [nvarchar](255) NULL,
	[B-8] [nvarchar](255) NULL,
	[B-9] [nvarchar](255) NULL,
	[B-10] [nvarchar](255) NULL,
	[B-11] [nvarchar](255) NULL,
	[B-12] [nvarchar](255) NULL,
	[B-13] [nvarchar](255) NULL,
	[B-14] [nvarchar](255) NULL,
	[B-15] [nvarchar](255) NULL,
	[B-16] [nvarchar](255) NULL,
	[B-17] [nvarchar](255) NULL,
	[B-18] [nvarchar](255) NULL,
	[Insert_time] [datetime] NULL,
	[Insert_by] [int] NULL,
	[Action_ID] [bigint] NOT NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Data_call_CSV_err]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Data_call_CSV_err](
	[A-1] [nvarchar](255) NULL,
	[A-2] [nvarchar](255) NULL,
	[A-2-1] [nvarchar](255) NULL,
	[A-3] [nvarchar](255) NULL,
	[A-4] [nvarchar](255) NULL,
	[A-4-1] [nvarchar](255) NULL,
	[A-5] [nvarchar](255) NULL,
	[A-6] [nvarchar](255) NULL,
	[A-7] [nvarchar](255) NULL,
	[A-8] [datetime] NULL,
	[B-1] [nvarchar](255) NULL,
	[B-2] [nvarchar](255) NULL,
	[B-3] [nvarchar](255) NULL,
	[B-4] [nvarchar](255) NULL,
	[B-5] [nvarchar](255) NULL,
	[B-6-1] [nvarchar](255) NULL,
	[B-6-2] [nvarchar](255) NULL,
	[B-6-3] [nvarchar](255) NULL,
	[B-6-4] [nvarchar](255) NULL,
	[B-6-5] [nvarchar](255) NULL,
	[B-6-6] [nvarchar](255) NULL,
	[B-6-7] [nvarchar](255) NULL,
	[B-6-8] [nvarchar](255) NULL,
	[B-6-9] [nvarchar](255) NULL,
	[B-6-10] [nvarchar](255) NULL,
	[B-6-11] [nvarchar](255) NULL,
	[B-6-12] [nvarchar](255) NULL,
	[B-7] [nvarchar](255) NULL,
	[B-8] [nvarchar](255) NULL,
	[B-9] [nvarchar](255) NULL,
	[B-10] [nvarchar](255) NULL,
	[B-11] [nvarchar](255) NULL,
	[B-12] [nvarchar](255) NULL,
	[B-13] [nvarchar](255) NULL,
	[B-14] [nvarchar](255) NULL,
	[B-15] [nvarchar](255) NULL,
	[B-16] [nvarchar](255) NULL,
	[B-17] [nvarchar](255) NULL,
	[B-18] [nvarchar](255) NULL,
	[RN] [int] NULL,
	[Insert_time] [datetime] NULL,
	[Insert_by] [int] NULL,
	[Reason] [varchar](50) NULL,
	[Action_ID] [bigint] NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Data_call_CSV_processed]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Data_call_CSV_processed](
	[A-1] [nvarchar](255) NULL,
	[A-2] [nvarchar](255) NULL,
	[A-2-1] [nvarchar](255) NULL,
	[A-3] [nvarchar](255) NULL,
	[A-4] [nvarchar](255) NULL,
	[A-4-1] [nvarchar](255) NULL,
	[A-5] [nvarchar](255) NULL,
	[A-6] [nvarchar](255) NULL,
	[A-7] [nvarchar](255) NULL,
	[A-8] [datetime] NULL,
	[B-1] [nvarchar](255) NULL,
	[B-2] [nvarchar](255) NULL,
	[B-3] [nvarchar](255) NULL,
	[B-4] [nvarchar](255) NULL,
	[B-5] [nvarchar](255) NULL,
	[B-6-1] [nvarchar](255) NULL,
	[B-6-2] [nvarchar](255) NULL,
	[B-6-3] [nvarchar](255) NULL,
	[B-6-4] [nvarchar](255) NULL,
	[B-6-5] [nvarchar](255) NULL,
	[B-6-6] [nvarchar](255) NULL,
	[B-6-7] [nvarchar](255) NULL,
	[B-6-8] [nvarchar](255) NULL,
	[B-6-9] [nvarchar](255) NULL,
	[B-6-10] [nvarchar](255) NULL,
	[B-6-11] [nvarchar](255) NULL,
	[B-6-12] [nvarchar](255) NULL,
	[B-7] [nvarchar](255) NULL,
	[B-8] [nvarchar](255) NULL,
	[B-9] [nvarchar](255) NULL,
	[B-10] [nvarchar](255) NULL,
	[B-11] [nvarchar](255) NULL,
	[B-12] [nvarchar](255) NULL,
	[B-13] [nvarchar](255) NULL,
	[B-14] [nvarchar](255) NULL,
	[B-15] [nvarchar](255) NULL,
	[B-16] [nvarchar](255) NULL,
	[B-17] [nvarchar](255) NULL,
	[B-18] [nvarchar](255) NULL,
	[Insert_time] [datetime] NULL,
	[Insert_by] [int] NULL,
	[Action_ID] [bigint] NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[data_call_process_summary]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[data_call_process_summary](
	[Action_ID] [bigint] NOT NULL,
	[AssignedID] [char](15) NOT NULL,
	[Study_Title] [nvarchar](200) NOT NULL,
	[Site_Code] [char](10) NOT NULL,
	[Study_Type] [char](1) NOT NULL,
	[Study_Exp_Date] [datetime] NULL,
	[PI_VA_ID] [varchar](100) NULL,
	[CO_PI_VA_ID] [varchar](100) NULL,
	[Action_Type] [varchar](15) NULL,
	[loadtime] [datetime] NULL,
	[loadby] [int] NULL,
	[StudyStatusID] [int] NOT NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Data_Load_CITI_Table]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Data_Load_CITI_Table](
	[Firstname] [varchar](50) NULL,
	[Lastname] [varchar](50) NULL,
	[email] [varchar](100) NULL,
	[Curriculum] [varchar](50) NULL,
	[Groupname] [varchar](255) NULL,
	[Stage_num] [numeric](18, 0) NULL,
	[Completion_Rpt_num] [varchar](50) NULL,
	[Date_completed] [varchar](80) NULL,
	[Stage] [varchar](50) NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Data_Load_TMS_Table]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Data_Load_TMS_Table](
	[TMS_UserID] [varchar](50) NULL,
	[LastName] [varchar](50) NULL,
	[FirstName] [varchar](50) NULL,
	[MI] [varchar](50) NULL,
	[ItemType] [varchar](50) NULL,
	[Item] [bigint] NULL,
	[ItemRevisionNum] [tinyint] NULL,
	[ItemRevisionDate] [varchar](50) NULL,
	[ItemDescription] [varchar](500) NULL,
	[CompletionDate] [varchar](50) NULL,
	[CompletionStatus] [varchar](50) NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Facilities]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Facilities](
	[FacilitiesID] [int] IDENTITY(0,1) NOT NULL,
	[Name] [nvarchar](100) NOT NULL,
	[Code] [nvarchar](10) NULL DEFAULT ('00000'),
	[SynchronizedTimestamp] [datetime] NOT NULL,
 CONSTRAINT [Facilities_PK] PRIMARY KEY CLUSTERED 
(
	[FacilitiesID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Form_Comments]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Form_Comments](
	[FormCommentsID] [int] IDENTITY(1,1) NOT NULL,
	[StudyStatusID] [int] NOT NULL,
	[FormsID] [int] NOT NULL,
	[Comment] [ntext] NOT NULL,
	[UsersID] [int] NOT NULL,
	[CreatedAt] [datetime] NOT NULL,
	[UpdatedAt] [datetime] NULL,
 CONSTRAINT [PK_Form_Comments] PRIMARY KEY CLUSTERED 
(
	[FormCommentsID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Form_Versions]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Form_Versions](
	[FormVersionsID] [int] IDENTITY(1,1) NOT NULL,
	[StartedUsingAt] [datetime] NOT NULL,
	[RootFormsID] [int] NOT NULL,
	[FileName] [varchar](255) NULL,
 CONSTRAINT [PK_Form_Versions] PRIMARY KEY CLUSTERED 
(
	[FormVersionsID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Forms]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Forms](
	[FormsID] [int] IDENTITY(1,1) NOT NULL,
	[Title] [varchar](50) NOT NULL,
	[Narrative] [ntext] NOT NULL,
	[IsPage] [bit] NOT NULL,
	[IsRepeating] [bit] NULL,
 CONSTRAINT [Forms_PK] PRIMARY KEY CLUSTERED 
(
	[FormsID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Forms_Questions]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Forms_Questions](
	[FormsQuestionsID] [int] IDENTITY(1,1) NOT NULL,
	[FormsID] [int] NOT NULL,
	[QuestionsID] [int] NOT NULL,
	[FormSequencePosition] [int] NOT NULL,
	[RequiredPredecessorAnswersID] [int] NULL,
	[RequiredPredecessorQuestionsID] [int] NULL,
 CONSTRAINT [Forms_Questions_PK] PRIMARY KEY CLUSTERED 
(
	[FormsQuestionsID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Question_Comments]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Question_Comments](
	[QuestionCommentsID] [int] IDENTITY(1,1) NOT NULL,
	[StudyStatusID] [int] NOT NULL,
	[QuestionsID] [int] NOT NULL,
	[Comment] [ntext] NOT NULL,
	[UsersID] [int] NOT NULL,
	[CreatedAt] [datetime] NOT NULL,
	[UpdatedAt] [datetime] NULL,
 CONSTRAINT [PK_Question_Comments] PRIMARY KEY CLUSTERED 
(
	[QuestionCommentsID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Questions]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Questions](
	[QuestionsID] [int] IDENTITY(1,1) NOT NULL,
	[QuestionHyperText] [text] NOT NULL,
	[OtherOptionHyperText] [text] NULL,
	[HelpHyperText] [text] NULL,
	[ResponseFormatsID] [int] NOT NULL,
 CONSTRAINT [Questions_PK] PRIMARY KEY CLUSTERED 
(
	[QuestionsID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Questions_Responses]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Questions_Responses](
	[QuestionsResponsesID] [int] IDENTITY(1,1) NOT NULL,
	[StudyStatusID] [int] NOT NULL,
	[QuestionsID] [int] NOT NULL,
	[CheckboxIndex] [tinyint] NULL,
	[AnswersID] [int] NULL,
	[Response] [ntext] NULL,
	[UpdatedAt] [datetime] NOT NULL,
 CONSTRAINT [PK_Questions_Responses] PRIMARY KEY CLUSTERED 
(
	[QuestionsResponsesID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Response_Formats]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Response_Formats](
	[ResponseFormatsID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [text] NOT NULL,
	[Description] [text] NULL,
	[ErrorMessage] [text] NULL,
	[ValidationLogic] [text] NULL,
	[Layout] [text] NULL,
 CONSTRAINT [Response_Formats_PK] PRIMARY KEY CLUSTERED 
(
	[ResponseFormatsID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Studies]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Studies](
	[StudiesID] [int] IDENTITY(1,1) NOT NULL,
	[AssignedID] [char](15) NOT NULL,
	[ParentStudiesID] [int] NULL,
	[Title] [nvarchar](200) NOT NULL,
	[FacilitiesID] [int] NOT NULL,
	[SynchronizedTimestamp] [datetime] NULL,
	[FormVersionsID] [int] NOT NULL,
	[SPListItem] [int] NULL,
 CONSTRAINT [PK_Studies] PRIMARY KEY CLUSTERED 
(
	[StudiesID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Study_Members]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Study_Members](
	[Study_MembersID] [int] IDENTITY(1,1) NOT NULL,
	[StudiesID] [int] NOT NULL,
	[UsersID] [int] NULL,
	[COIRequired] [bit] NOT NULL,
	[WritePermissions] [bit] NOT NULL,
	[Explaination] [ntext] NOT NULL,
	[Notifications] [bit] NOT NULL,
	[MemberRole] [ntext] NOT NULL,
	[TeamMember] [bit] NOT NULL,
	[ActiveMember] [bit] NOT NULL,
	[CreatedAt] [datetime] NOT NULL,
	[RemovedAt] [datetime] NULL,
 CONSTRAINT [PK__Study_Me__2420BF3773BA3083] PRIMARY KEY CLUSTERED 
(
	[Study_MembersID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Study_States]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Study_States](
	[StudyStatesID] [int] IDENTITY(1,1) NOT NULL,
	[Name] [char](10) NOT NULL,
 CONSTRAINT [Lookup_PK] PRIMARY KEY CLUSTERED 
(
	[StudyStatesID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Study_Status]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Study_Status](
	[StudyStatusID] [int] IDENTITY(1,1) NOT NULL,
	[StudiesID] [int] NOT NULL,
	[StageCounter] [int] NOT NULL,
	[StudyStatesID] [int] NOT NULL,
	[CreatedAt] [datetime] NOT NULL,
	[CreatedBy] [int] NOT NULL,
	[UpdatedAt] [datetime] NOT NULL,
	[UpdatedBy] [int] NOT NULL,
 CONSTRAINT [PK_Study_Status] PRIMARY KEY CLUSTERED 
(
	[StudyStatusID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Study_Status_Reviewers]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Study_Status_Reviewers](
	[StudyStatusID] [int] NOT NULL,
	[UsersID] [int] NOT NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Users]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[Users](
	[UsersID] [int] IDENTITY(1,1) NOT NULL,
	[LoginName] [varchar](50) NOT NULL,
	[PermanentLoginIdentifier] [varchar](100) NULL,
	[DisplayName] [varchar](100) NOT NULL,
	[SynchronizedTimestamp] [datetime] NULL,
	[SPUser] [int] NULL,
 CONSTRAINT [Users_PK] PRIMARY KEY CLUSTERED 
(
	[UsersID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
