use RAMS
GO
/****** VIEWS..
Object:  View [dbo].[v_form_question]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[v_form_question]
AS
select a.formsID,b.formSequencePosition as formSequence, a.Title, a.Narrative, 
c.questionsID, c.formsequenceposition as QuestionPosition, d.QuestionHyperText, e.name as datatype, c.RequiredPredecessorAnswersID as questionSequence 
from forms a
join contained_forms b on a.FormsID = b.ContentID
join forms_questions c on a.FormsID = c.FormsID
join Questions d on c.QuestionsID = d.QuestionsID
join dbo.Response_Formats  e ON e.ResponseFormatsID = d.ResponseFormatsID

GO
/****** Object:  View [dbo].[v_qlist_datacall]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
create view [dbo].[v_qlist_datacall] as
select char(64+formSequence)+'-'+convert(varchar(2),QuestionPosition)+'-'+isnull(convert(varchar(2),b.SequencePosition),'0') as QuestionTitle , 
a.*, b.answersID, b.value, b.SequencePosition as answerPosition from v_form_question a
left join Answers b on a.questionsID = b.QuestionsID

GO
/****** Object:  View [dbo].[v_data_call_csv_nonflat]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[v_data_call_csv_nonflat]
AS
select [A-1] as study_title, answers, answervalue
from --data_call_csv
(
select 
[A-1],[A-2],[A-3],[A-4],[A-5],[A-6],[A-7],Cast([A-8] as nvarchar(255)) as [A-8],
[B-1],[B-2],[B-3],[B-4],[B-5],[B-6-1],[B-6-2],[B-6-3],[B-6-4],[B-6-5],[B-6-6],[B-6-7],[B-6-8],[B-6-9],[B-6-10],
[B-6-11],[B-6-12],[B-7],[B-8],[B-9],[B-10],[B-11],[B-12],[B-13],[B-14],[B-15],[B-16],[B-17],[B-18]
from Data_call_CSV
) as D
unpivot
( 
answervalue for answers in (
[A-2],[A-3],[A-4],[A-5],[A-6],[A-7],[A-8],
[B-1],[B-2],[B-3],[B-4],[B-5],[B-6-1],[B-6-2],[B-6-3],[B-6-4],[B-6-5],[B-6-6],[B-6-7],[B-6-8],[B-6-9],[B-6-10],
[B-6-11],[B-6-12],[B-7],[B-8],[B-9],[B-10],[B-11],[B-12],[B-13],[B-14],[B-15],[B-16],[B-17],[B-18])
)
as u

GO
/****** Object:  View [dbo].[V_data_call_csv_nonflat_mapped]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[V_data_call_csv_nonflat_mapped]
AS
select a.study_title, a.answers, b.questionsID, b.answersID, a.answervalue from v_data_call_csv_nonflat a
join v_qlist_datacall b
on a.answers = char(64+b.formSequence)+'-'+convert(varchar(2),b.QuestionPosition) and
a.answervalue = b.[value] 
where b.formSequence in (1,2) and convert(varchar(10),b.datatype) = 'radio'
union
select a.study_title, a.answers, b.questionsID, b.answersID, a.answervalue from v_data_call_csv_nonflat a
join v_qlist_datacall b
on a.answers = b.QuestionTitle
where b.formSequence in (1,2) and convert(varchar(10),b.datatype) = 'checkbox'
union
select a.study_title, a.answers, b.questionsID, '' as answersID, a.answervalue from v_data_call_csv_nonflat a
join v_qlist_datacall b
on a.answers = char(64+b.formSequence)+'-'+convert(varchar(2),b.QuestionPosition)
where b.formSequence in (1,2) and b.answersID is null
union
select a.study_title, a.answers, '' as questionsID, '' as answersID, a.answervalue from v_data_call_csv_nonflat a
where a.answers in ('A-6','A-7','A-8')

GO
/****** Object:  View [dbo].[v_data_load_training_Combined]    Script Date: 11/4/2016 10:23:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE view [dbo].[v_data_load_training_Combined]
as
select 'CITI' as AppSource, Firstname, Lastname, '' as MI, email as SourceID, 
Curriculum as Course,
Groupname +' '+ Stage as CourseDescription,
cast(Date_completed as datetime) as CompletionDate,
case when Date_completed is not null Then 'Completed' End as CompletionStatus,
stage_num as StageNumber
from Data_Load_CITI_Table
union
select 'TMS' as AppSoirce, Firstname, LastName, MI, TMS_UserID as SourceID, 
ItemType +':'+ cast(Item as varchar(20)) as Course, 
ItemDescription as CourseDescripttion, 
cast(replace(CompletionDate,'America/New York', '') as datetime) as CompletionDate,
CompletionStatus,
ItemRevisionNum as StageNumber
from Data_Load_TMS_Table
